Bug 62698 - Assertion failure at journal.c:602: "ret != 0"
Assertion failure at journal.c:602: "ret != 0"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 10:49 EST by Dan Richter
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log (4.21 KB, patch)
2002-04-04 10:51 EST, Dan Richter
no flags Details | Diff

  None (edit)
Description Dan Richter 2002-04-04 10:49:00 EST
Our web server ran into the following error:

Apr  4 07:42:05 hydrogen2 kernel: scsi1: ERROR on channel 0, id 15, lun 0, CDB: 
                Read (10) 00 00 00 31 07 00 00 08 00
Apr  4 07:42:05 hydrogen2 kernel: Info fld=0x310c, Current sd08:31: sense key 
                Medium Error
Apr  4 07:42:05 hydrogen2 kernel: Additional sense indicates Read retries 
                exhausted
Apr  4 07:42:05 hydrogen2 kernel:  I/O error: dev 08:31, sector 12488
Apr  4 07:42:05 hydrogen2 kernel: Assertion failure in 
                journal_bmap_Rsmp_db01a852() at journal.c:602: "ret != 0"

I will include a more complete log message as an attachment.

This was during a time of heavy activity. I don't really know what things were
like just before the error, but after the error the server didn't have enough
sockets available and it had some 200 processes fighting for the CPU.

We rebooted the server about a half hour after the error occured. During this
half hour, Apache (with PHP) was still running just fine. But you couldn't
telnet to localhost - we didn't try the machine's name or IP address.

According to our mount file, our ethernet card is an eepro100.
Comment 1 Dan Richter 2002-04-04 10:51:56 EST
Created attachment 52207 [details]
Error log
Comment 2 Bugzilla owner 2004-09-30 11:39:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.